Subject: bug#62325: closed (Re: bug#62325: Python quotes/apostrophes can cause hang)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Apr 2023 08:37:02 +0000

Your bug report

#62325: Python quotes/apostrophes can cause hang

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62325: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62325
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62325: Python quotes/apostrophes can cause hang
From: Eli Zaretskii <[email-masked]>
To: Gabriel Brown <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 05 Apr 2023 11:36:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Tue, 04 Apr 2023 18:23:29 -0500
> From: Gabriel Brown <[email-masked]>
> 
> Apologies for the delay. I finally came into some time to switch Emacs versions, and using the makepkg
> branch for Emacs 29 I no longer see the issue I reported.

Thanks, I'm therefore closing this bug.

Subject: Python quotes/apostrophes can cause hang
From: Gabriel Brown <[email-masked]>
To: [email-masked]
Date: Mon, 20 Mar 2023 18:36:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, all. First bug report for me. I've searched to see if there are 
other reports of my issue, but turned up empty handed.

--- Summary ---
It seems when there are three or more python docstrings (each bordered 
by two lines of triple quotes """) and each containing an apostrophe, 
then the next time a quote docstring is to be inserted Emacs hangs.

I have included a minimum viable example file that reproduces this 
behavior on my machine. Simply replace the angle bracket line 
containing the instructions with triple quotes, and Emacs should hang. 
(In case file attachments don't work I have included the text of the 
file at the end of the email.)

--- Additional information ---
Emacs version: 28.2 (via pacman package manager)
machine: EndeavourOS Linux x86_64 (kernel: 6.2.2-arch1-1)
reply email: [email-masked]

--- start of example file ---
def f_0():
    # inline comment
    < try replacing with triple quotes >
    return 4

def f_1():
    """
    ghbrown's first comment
    """
    return 1

def f_2():
    """
    ghbrown's second comment
    """
    return 1

def f_3():
    """
    ghbrown's third comment
    """
    return 1
--- end of example file ---